2017-10-20 10:31 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000431mercuryBugpublic2017-03-06 15:45
Reporterdirkz 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformMacOSOS X YosemiteOS Version10.10.5
Product Version 
Target VersionFixed in Version 
Summary0000431: Install fails during make install of java grade in rotd-2017-02-22
DescriptionThe installation of Mercury with the default set of grades fails on Mac OS X during installation of the Java grade.
Steps To Reproduce1. sh configure (OK)
2. make PARALLEL=-j6 (OK)
3. make PARALLEL=-j6 install (ERROR; see attached mer_std.err)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000940

juliensf (administrator)

What are the versions of OS X and Java are you using?

~0000941

dirkz (reporter)

I'm using Mac OS X Yosemite 10.10.5

Entering "java -version" in terminal shows this result:
java version "1.6.0_65"
Java(TM) SE Runtime Environment (build 1.6.0_65-b14-466.1-11M4716)
Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-466.1, mixed mode)

~0000942

juliensf (administrator)

Ah, the OS version was above -- my phone chose to display it using a tiny font so I couldn't read it :-(

It looks as though we are generating code that is not compatible with Java 1.6 for the uint type.
I think I know what the problem is. (I can confirm that the current ROTD does work with Java 1.8,
so if that's an option, you may wish to use that until a fix is available.)

~0000943

juliensf (administrator)

Fixed in rotd-2017-03-06. (Part of the MLDS->Java code generator was not handling the builtin uint type correctly; the problem would only show in versions of Java that don't support autoboxing.)
+Notes

-Issue History
Date Modified Username Field Change
2017-03-05 23:52 dirkz New Issue
2017-03-05 23:52 dirkz File Added: mer_std.err
2017-03-06 01:15 juliensf Assigned To => juliensf
2017-03-06 01:15 juliensf Status new => feedback
2017-03-06 01:15 juliensf Note Added: 0000940
2017-03-06 04:45 dirkz Note Added: 0000941
2017-03-06 04:45 dirkz Status feedback => assigned
2017-03-06 08:42 juliensf Note Added: 0000942
2017-03-06 15:45 juliensf Status assigned => resolved
2017-03-06 15:45 juliensf Resolution open => fixed
2017-03-06 15:45 juliensf Note Added: 0000943
+Issue History